Subject: Alexey's Apps Area Activity Report for September 2009

From: Alexey Melnikov <[email-masked]>
Date: Thu, 1 Oct 2009 00:21:40 +0100

Document Status and Progress:

Active documents, my action:
- draft-ietf-tsvwg-iana-ports (BCP) - need to do AD-style review
- draft-gudmundsson-dns-srv-iana-registry - need to discuss with
authors how this relates to draft-ietf-tsvwg-iana-ports
- draft-hethmon-mcmurray-ftp-hosts (Proposed Standard) - deciding if I will
sponsor this document.
- draft-desruisseaux-caldav-sched (Proposed Standard) - need to do AD review
- draft-ietf-webdav-bind (Experimental) - need to address 2 DISCUSSes
(Cullen, Robert), in particular about the document "updating the
base WebDAV spec".

Active documents in IETF LC or IESG review:
- draft-ietf-eai-downgraded-display (Experimental) - In IESG review
- RFC 3839 to Historic - In IETF LC till October 14th (despite ID
tracker saying otherwise)
- draft-reschke-rfc2731bis (Informational) - In IETF LC

In RFC Editor's queue:
- draft-ietf-vcarddav-webdav-mkcol (Proposed Standard) - in AUTH48

Published as RFCs:
- draft-hollenbeck-rfc493*bis (Full Standard) - RFC 5730-5734
- draft-ietf-lemonade-streaming (Informational) - RFC 5616
- draft-ietf-ltru-4645bis (Informational) - RFC 5645
- draft-ietf-ltru-4646bis (BCP) - RFC 5646

Active documents, waiting on others:
- draft-dusseault-http-patch (Unknown) - waiting for shepherding
write-up and updated version before requesting IETF LC (more than 2 months)
- draft-duerst-mailto-bis - performed AD-style review, waiting for revised
document before deciding how to progress it
- draft-ietf-eai-pop (Experimental) - new revision needed to address
my AD review
- draft-klensin-ftp-registry (Proposed Standard) - waiting for new revision
after my AD review.
- draft-cridland-acap-vendor-registry (Proposed Standard) - New revision needed.
- draft-ietf-sieve-mime-loop (Proposed Standard) [as document shepherd] -
waiting for the Sieve WG to come to consensus on the last remaining change
to address Tim Polk's DISCUSS.
- draft-daboo-srv-email (Proposed Standard) - new revision needed to
address IETF LC issues
- draft-ietf-eai-imap-utf8 (Experimental) - Waiting for the author to
update the document as per EAI WG consensus about how multiple IMAP
capabilities relate to each other.
- draft-ietf-vcarddav-carddav (Proposed Standard) - waiting for the author
to respond to GenArt review and also waiting for the shepherding write-up

List of DISCUSSes I am currently holding:
Really Old (over 2 months):
draft-ietf-bfd-base-09.txt
draft-ietf-ntp-ntpv4-proto-11.txt
draft-mraihi-inch-thraud-08.txt
draft-ietf-mmusic-sdp-capability-negotiation-10.txt
draft-ietf-avt-rtcpssm-18.txt
draft-ietf-dime-diameter-qos-11.txt

Old (3 weeks - 2 months):
draft-ietf-netconf-partial-lock-09.txt
draft-ietf-ipfix-export-per-sctp-stream-03.txt
draft-ietf-ntp-dhcpv6-ntp-opt-04.txt
draft-wilde-sms-uri-19.txt
draft-ietf-ospf-manet-or-02.txt

New or recently updated (last 3 weeks):
draft-housley-tls-authz-extns-08.txt [updated]
draft-ietf-nea-pa-tnc-05.txt [updated]
draft-ietf-nea-pb-tnc-05.txt [updated]
draft-drage-sipping-service-identification-03.txt
draft-ietf-calsify-2446bis-09.txt
draft-peterson-rai-rfc3427bis-03.txt
draft-ietf-mip4-generic-notification-message-12.txt
draft-ietf-pkix-ta-format-03.txt

Cleared DISCUSSes:
draft-ietf-ltans-dssc
draft-rosenberg-sip-app-media-tag
draft-ietf-geopriv-http-location-delivery
draft-ietf-ospf-hmac-sha
draft-ietf-ipfix-file
draft-ietf-ipfix-exporting-type

Other activities/actions:

Done:
- VWRAP (formely OGPX) WG got charted
- application/xslt+xml MIME type registration was reviewed for IESG

Ongoing:
- Discussing BOFs for Hiroshima (Generic Referral Objects (GROBJ), IRI, DECADE)
- Acting as a document shepherd  (not as the responsible AD) for SASL GS2

My action:
- Finalize LTRU Language Tag Reviewer selection
- draft-ietf-sasl-scram (my own document) is past IETF LC, need to
update to address IETF LC/GenArt comments
- Need to finalize registration of application/3gpp-ims+xml MIME type
- Need to review 3 more MIME type registrations from W3C
- Need to revise iMIP draft (my own document)
- Need to finish IMAP Keyword registry document (Lisa agreed to sponsor the
document)
- Need to review OAuth document regarding possible reuse of SCRAM
- Need to post 4954bis (SMTP AUTH) in order to start moving it to Draft
Standard
- draft-ietf-sieve-external-lists (my own document) - needs updating

Waiting for others:
- Suggestion to move LMTP to Standard Track (Ned Freed agreed to update
the document, then responded that John Myers is interested to do this
himself. Chris Newman agreed to shepherd it)
- Suggestion to convert MIME BNF to ABNF and publish as a separate
draft (Ned Freed agreed to do this)

WG Status:
1) EAI - active discussion about whether the WG should get away from
special EAI email address syntax. Some discussion about
dependendencies between IMAP capabilities specified in the EAI IMAP
document. Downgraded display document in IESG review.
2) Lemonade [In shutting down state] - one remaining document will
move to the Sieve WG
3) LTRU [In shutting down state] - all documents published as RFC.
Finalizing decision about Language Tag Expert Reviewers.
4) MORG - updated SORTDISPLAY document got posted
5) VCARDDAV - Some discussion on the mailing list about whether
vCardDAV should require support for vCard 4.0 (consensus that it
should).
6) YAM - discussion about IESG review template for 8BITMIME document.
Discussion about RFC 5321 errata.